<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFChart.HSSFSeries (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFChart.HSSFSeries (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFChart.HSSFSeries.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFChartType.html"
               title="enum in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFChart.HSSFSeries.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFChart.HSSFSeries" class="title">Class HSSFChart.HSSFSeries</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFChart.HSSFSeries</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Enclosing class:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFChart</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static class <span class="typeNameLabel">HSSFChart.HSSFSeries</span>
extends java.lang.Object</pre>
                <div class="block">A series in a chart</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#getCategoryLabelsCellRange--">getCategoryLabelsCellRange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">LinkedDataRecord</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#getDataCategoryLabels--">getDataCategoryLabels</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">LinkedDataRecord</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#getDataName--">getDataName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">LinkedDataRecord</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#getDataSecondaryCategoryLabels--">getDataSecondaryCategoryLabels</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">LinkedDataRecord</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#getDataValues--">getDataValues</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#getNumValues--">getNumValues</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/record/chart/SeriesRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">SeriesRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#getSeries--">getSeries</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#getSeriesTitle--">getSeriesTitle</a></span>()</code>
                                    <div class="block">Returns the series' title, if there is one,
                                        or null if not
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#getValuesCellRange--">getValuesCellRange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#getValueType--">getValueType</a></span>()</code>
                                    <div class="block">See <a
                                            href="../../../../../org/apache/poi/hssf/record/chart/SeriesRecord.html"
                                            title="class in org.apache.poi.hssf.record.chart"><code>SeriesRecord</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#setCategoryLabelsCellRange-org.apache.poi.ss.util.CellRangeAddressBase-">setCategoryLabelsCellRange</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;range)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#setSeriesTitle-java.lang.String-">setSeriesTitle</a></span>(java.lang.String&nbsp;title)</code>
                                    <div class="block">Changes the series' title, but only if there
                                        was one already.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#setValuesCellRange-org.apache.poi.ss.util.CellRangeAddressBase-">setValuesCellRange</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;range)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getNumValues--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumValues</h4>
                                <pre>public&nbsp;short&nbsp;getNumValues()</pre>
                            </li>
                        </ul>
                        <a name="getValueType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValueType</h4>
                                <pre>public&nbsp;short&nbsp;getValueType()</pre>
                                <div class="block">See <a
                                        href="../../../../../org/apache/poi/hssf/record/chart/SeriesRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart"><code>SeriesRecord</code></a>
                                </div>
                            </li>
                        </ul>
                        <a name="getSeriesTitle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSeriesTitle</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getSeriesTitle()</pre>
                                <div class="block">Returns the series' title, if there is one,
                                    or null if not
                                </div>
                            </li>
                        </ul>
                        <a name="setSeriesTitle-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSeriesTitle</h4>
                                <pre>public&nbsp;void&nbsp;setSeriesTitle(java.lang.String&nbsp;title)</pre>
                                <div class="block">Changes the series' title, but only if there
                                    was one already.
                                    TODO - add in the records if not
                                </div>
                            </li>
                        </ul>
                        <a name="getDataName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataName</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">LinkedDataRecord</a>&nbsp;getDataName()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>record with data names</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDataValues--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataValues</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">LinkedDataRecord</a>&nbsp;getDataValues()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>record with data values</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDataCategoryLabels--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataCategoryLabels</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">LinkedDataRecord</a>&nbsp;getDataCategoryLabels()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>record with data category labels</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDataSecondaryCategoryLabels--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataSecondaryCategoryLabels</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/record/chart/LinkedDataRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">LinkedDataRecord</a>&nbsp;getDataSecondaryCategoryLabels()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>record with data secondary category labels</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSeries--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSeries</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/record/chart/SeriesRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">SeriesRecord</a>&nbsp;getSeries()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>record with series</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getValuesCellRange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValuesCellRange</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;getValuesCellRange()</pre>
                            </li>
                        </ul>
                        <a name="getCategoryLabelsCellRange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCategoryLabelsCellRange</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;getCategoryLabelsCellRange()</pre>
                            </li>
                        </ul>
                        <a name="setValuesCellRange-org.apache.poi.ss.util.CellRangeAddressBase-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setValuesCellRange</h4>
                                <pre>public&nbsp;void&nbsp;setValuesCellRange(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;range)</pre>
                            </li>
                        </ul>
                        <a name="setCategoryLabelsCellRange-org.apache.poi.ss.util.CellRangeAddressBase-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setCategoryLabelsCellRange</h4>
                                <pre>public&nbsp;void&nbsp;setCategoryLabelsCellRange(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;range)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFChart.HSSFSeries.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFChartType.html"
               title="enum in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFChart.HSSFSeries.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
